Beta release 3.0.1528 supporting Unreal Engine 4.9.1, faster than ever, and auto-complete!


#1

You haven’t heard from us in a while but we have been busy like mad, making SkookumScript faster and better then ever!

New in this release

  • A cornucopia of internal performance improvements making this release the fastest SkookumScript you have ever experienced.
  • The SkookumScriptGenerator now generates significantly more efficient code, e.g. calling UE4 functions directly whenever possible.
  • The IDE comes for the first time with a (basic but powerful) autocomplete feature. It’s work in progress and we’ll make it better as we go. But it’s already so useful we just had to switch it on!
  • Bug fixes!

How to install/update

As usual, please follow our installation/update guide on how to install it! If you are using the Epic Games Launcher (installed engine), here are the latest zip files referred to by the installation guide:

SkookumScript Plugin 3.0.1528 Beta for Unreal Engine 4.9.1
SkookumScript Plugin 3.0.1528 Beta for Unreal Engine 4.9.0
SkookumDemo 3.0.1528 Beta for Unreal Engine 4.9

SkookumScript Plugin 3.0.1528 Beta for Unreal Engine 4.8.3
SkookumDemo 3.0.1528 Beta for Unreal Engine 4.8

Enjoy!


I'm struggling to create a new script class
#2

Newsflash: 4.9.1 support and vastly improved Blueprint integration coming up